import type { UserConfig, CommandArgs, EmptyObject, Json } from '../types.js';
import type { CreateLoggerReturns } from './logger.js';
export declare const mergeModeConfig: <K>(mode: string, userConfig: UserConfig<K>) => UserConfig<K>;
export declare const getUserConfig: <K extends EmptyObject>({ rootDir, commandArgs, logger, pkg, configFile, }: {
    rootDir: string;
    commandArgs: CommandArgs;
    pkg: Json;
    logger: CreateLoggerReturns;
    configFile: string | string[];
}) => Promise<UserConfig<K>>;
export declare function loadConfig<T>(filePath: string, pkg: Json, logger: CreateLoggerReturns): Promise<T | undefined>;
